Skip to main content
GET
/
{env_id}
/
{flow_id}
/
{tenant}
/
jobs
/
kill
Kill job
curl --request GET \
  --url https://api.hotglue.com/{env_id}/{flow_id}/{tenant}/jobs/kill \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.hotglue.com/{env_id}/{flow_id}/{tenant}/jobs/kill"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.hotglue.com/{env_id}/{flow_id}/{tenant}/jobs/kill', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "job_id": "lmaEbA",
  "env_id": "dev.example-env.hotglue.xyz",
  "job_name": "test_job:_V-vgdlLN",
  "tenant": "default",
  "started_by": "default",
  "flow": "l8odS2mce",
  "s3_root": "default/flows/l8odS2mce/jobs/lmaEbA",
  "start_time": "2020-12-30T18:01:01.828266+00:00",
  "state": {},
  "tap": "quickbooks:sandbox",
  "status": "ETL_FAILED",
  "message": "Job killed due to: Unspecified Reason",
  "last_updated": "2020-12-30T20:31:00.081282+00:00"
}
{
"Code": "Error",
"Message": "Invalid job_root supplied - job does not exist!"
}

Authorizations

x-api-key
string
header
required

Path Parameters

env_id
string
required

ID of environment

flow_id
string
required

ID of flow

tenant
string
required

ID of tenant

Query Parameters

job_root
string
required

S3 root of this job

reason
string

Reason for killing this job

Response

200

job_id
string
Example:

"lmaEbA"

env_id
string
Example:

"dev.example-env.hotglue.xyz"

job_name
string
Example:

"test_job:_V-vgdlLN"

tenant
string
Example:

"default"

started_by
string
Example:

"default"

flow
string
Example:

"l8odS2mce"

s3_root
string
Example:

"default/flows/l8odS2mce/jobs/lmaEbA"

start_time
string
Example:

"2020-12-30T18:01:01.828266+00:00"

state
object
tap
string
Example:

"quickbooks:sandbox"

status
string
Example:

"ETL_FAILED"

message
string
Example:

"Job killed due to: Unspecified Reason"

last_updated
string
Example:

"2020-12-30T20:31:00.081282+00:00"